Bug 242596 - installation crash in partitioning attempt
Summary: installation crash in partitioning attempt
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda   
(Show other bugs)
Version: 7
Hardware: i386 Linux
low
low
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-04 23:37 UTC by federico.perotto
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-30 21:51:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
exception dump data (58.80 KB, text/plain)
2007-06-04 23:37 UTC, federico.perotto
no flags Details

Description federico.perotto 2007-06-04 23:37:15 UTC
Description of problem:
Exception during Fedora 7 installation from DVD

Version-Release number of selected component (if applicable):


How reproducible:
Fedora 7 DVD installation
I had a PATA hard disk sdc with a primary partition (ntfs) and a secondary
extended partition (fat32). 
I deleted primary partition to leave unpartitioned space in which I tried to
install Fedora 7 (selecting 3rd partitioning option: default layout in free
space of the selected device). 
Partitioning failed with the error sequence:

1)Partitioning failed: Could not allocate partitions as primary partitions.

2)The following errors occured with your partitioning,
You have not defined a root partition (/),
Which is required for installation of ...

Then I selected to create a default partition layout removing all partitions on
disk sdc. After I accepted confirmation pop-up, I got an exception, please see
anacdump.txt file attachment.

Expected results:

F7 should be able to install on unpartitioned space

and

No exception

Comment 1 federico.perotto 2007-06-04 23:37:15 UTC
Created attachment 156161 [details]
exception dump data

Comment 2 Jeremy Katz 2007-06-25 16:01:34 UTC
Did you verify your media with the mediacheck functionality?

Comment 3 federico.perotto 2007-06-26 19:56:12 UTC
Yes, I verified the DVD before the first run.


Comment 4 Chris Lumens 2007-08-30 21:51:51 UTC
Regardless of media check, you still either have bad media (or a bad download),
or there is a kernel driver bug present.  The following messages from your
traceback indicate that this is not a problem in anaconda:

<6>sr 4:0:0:0: SCSI error: return code = 0x08000002
<6>sr0: Current: sense key: Hardware Error
<6>    Additional sense: Timeout on logical unit
<4>end_request: I/O error, dev sr0, sector 5441248
<3>Buffer I/O error on device sr0, logical block 1360312
<3>SQUASHFS error: sb_bread failed reading block 0x250c
<3>SQUASHFS error: Unable to read page, block 9405e2, size 2ccb
<3>SQUASHFS error: sb_bread failed reading block 0x250c
<3>SQUASHFS error: Unable to read page, block 9405e2, size 2ccb
<3>SQUASHFS error: sb_bread failed reading block 0x250c
<3>SQUASHFS error: Unable to read page, block 9405e2, size 2ccb


Note You need to log in before you can comment on or make changes to this bug.